---
search:
  tags:
    - Channels
    - POST
seo:
  description: >-
    Creates a new channel linked to a store group and optional… Reference for
    the POST /api/v1/{team_slug}/{app_slug}/channels endpoint in the Management
    API.
sidebar:
  label: Create a channel
  badge: POST
title: Create a channel
type: openapi-operation
---
Creates a new channel linked to a store group and optional market. Validates the store group and market exist before creation.

`POST /api/v1/{team_slug}/{app_slug}/channels`

**Request body** (`application/json`, required)

Channel data

- `active` (boolean)
- `description` (string)
- `market_ids` (string[])
- `name` (string, required)
- `publishing_rule_id` (string)
- `slug` (string, required)
- `store_group_id` (string, required)

Request body example:

```json
{
  "active": true,
  "description": "string",
  "market_ids": [
    "string"
  ],
  "name": "string",
  "publishing_rule_id": "string",
  "slug": "string",
  "store_group_id": "string"
}
```

**Responses**

- `201` — Channel created successfully
- `400` — Invalid request
- `404` — Store group or market not found
- `500` — Internal server error

Response example, 201:

```json
{
  "data": {
    "active": true,
    "created_at": "string",
    "description": "string",
    "effective_publishing_rule": {
      "created_at": "string",
      "id": "string",
      "is_default": true,
      "minimum_images": 0,
      "name": "string",
      "should_have_brand": true,
      "should_have_category": true,
      "should_have_description": true,
      "should_have_main_category": true,
      "should_have_price": true,
      "should_have_product_name": true,
      "updated_at": "string"
    },
    "id": "string",
    "market_ids": [
      "string"
    ],
    "name": "string",
    "publishing_rule_id": "string",
    "slug": "string",
    "store_group_id": "string",
    "updated_at": "string"
  },
  "details": [
    "string"
  ],
  "success": true
}
```
